Name:		lld
Version:	4.0.0
Release:	1%{?dist}
Summary:	A C language family front-end for LLVM

License:	NCSA
URL:		http://llvm.org
Source0:	http://llvm.org/releases/%{version}/lld-%{version}.src.tar.xz

Patch0:		0001-CMake-Fix-pthread-handling-for-out-of-tree-builds.patch

BuildRequires:	cmake
BuildRequires:	llvm-static = %{version}
BuildRequires:	llvm-devel = %{version}
BuildRequires:  ncurses-devel
BuildRequires:	zlib-devel

%description
The LLVM project linker.

%package devel
Summary:	Libraries and header files for LLD

%description devel
This package contains library and header files needed to develop new native
programs that use the LLD infrastructure.

%package libs
Summary:	LLD shared libraries

%description libs
Shared libraries for LLD.

%prep
%setup -q -n %{name}-%{version}.src
%patch0 -p1 -b .pthread-fix

%build

mkdir -p _build
cd _build
%cmake .. \
%if 0%{?enable_tests}
        -DLLVM_INCLUDE_TESTS=ON  \
%endif
        -DLLVM_LINK_LLVM_DYLIB:BOOL=ON \
	-DLLVM_CONFIG_PATH:FILEPATH=/usr/bin/llvm-config-%{__isa_bits} \
%if 0%{?__isa_bits} == 64
        -DLLVM_LIBDIR_SUFFIX=64 \
%else
        -DLLVM_LIBDIR_SUFFIX= \
%endif
	-DLIB_SUFFIX=

make %{?_smp_mflags}

%install
cd _build
make install DESTDIR=%{buildroot}

%check
# Need to install llvm utils for check to pass
#cd _build
#make %{?_smp_mflags} check-lld

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%{_bindir}/lld*
%{_bindir}/ld.lld

%files devel
%{_includedir}/lld
%{_libdir}/*.so

%files libs
%{_libdir}/*.so.*

%changelog
* Tue Mar 14 2017 Tom Stellard <tstellar@redhat.com> - 4.0.0-1
- lld 4.0.0 Final Release
